[oe-commits] org.oe.dev dbus 0.94: fix initscript, closes #1563

koen commit openembedded-commits at lists.openembedded.org
Thu Nov 9 13:38:43 UTC 2006


dbus 0.94: fix initscript, closes #1563

Author: koen at openembedded.org
Branch: org.openembedded.dev
Revision: 6af5be50367621ab5838c9f4dc4e831a81c1d225
ViewMTN: http://monotone.openembedded.org/revision.psp?id=6af5be50367621ab5838c9f4dc4e831a81c1d225
Files:
1
packages/dbus/dbus-0.94/dbus-1.init
packages/dbus/dbus_0.94.bb
Diffs:

#
# mt diff -r3d7e2cab9dc312dae9852afc664f3bbdb5d4c9e9 -r6af5be50367621ab5838c9f4dc4e831a81c1d225
#
# 
# 
# add_file "packages/dbus/dbus-0.94/dbus-1.init"
#  content [0cdc694089a493f96e7ae02d40d03f04596f9173]
# 
# patch "packages/dbus/dbus_0.94.bb"
#  from [970ee84a09ce75fb9c6e30accf192db08b928cf5]
#    to [ac168d3e6f1c1caa87281a4f160bda60cf9f6747]
# 
============================================================
--- packages/dbus/dbus-0.94/dbus-1.init	0cdc694089a493f96e7ae02d40d03f04596f9173
+++ packages/dbus/dbus-0.94/dbus-1.init	0cdc694089a493f96e7ae02d40d03f04596f9173
@@ -0,0 +1,86 @@
+#! /bin/sh
+# -*- coding: utf-8 -*-
+# Debian init.d script for D-BUS
+# Copyright © 2003 Colin Walters <walters at debian.org>
+
+set -e
+
+DAEMON=/usr/bin/dbus-daemon
+NAME=dbus
+DAEMONUSER=messagebus
+PIDDIR=/var/run/dbus
+PIDFILE=$PIDDIR/pid
+DESC="system message bus"
+EVENTDIR=/etc/dbus-1/event.d
+
+test -x $DAEMON || exit 0
+
+# Source defaults file; edit that file to configure this script.
+ENABLED=1
+PARAMS=""
+if [ -e /etc/default/dbus ]; then
+  . /etc/default/dbus
+fi
+
+test "$ENABLED" != "0" || exit 0
+
+start_it_up()
+{
+  if [ ! -d $PIDDIR ]; then
+    mkdir -p $PIDDIR
+    chown $DAEMONUSER $PIDDIR
+    chgrp $DAEMONUSER $PIDDIR
+  fi
+  if [ -e $PIDFILE ]; then
+    PIDDIR=/proc/$(cat $PIDFILE)
+    if [ -d ${PIDDIR} -a  "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then 
+      echo "$DESC already started; not starting."
+    else
+      echo "Removing stale PID file $PIDFILE."
+      rm -f $PIDFILE
+    fi
+  fi
+  echo -n "Starting $DESC: "
+  start-stop-daemon --start --quiet --pidfile $PIDFILE \
+    --user $DAEMONUSER --exec $DAEMON -- --system $PARAMS
+  echo "$NAME."
+  if [ -d $EVENTDIR ]; then
+      run-parts --arg=start $EVENTDIR
+  fi
+}
+
+shut_it_down()
+{
+  if [ -d $EVENTDIR ]; then
+      run-parts --reverse --arg=stop $EVENTDIR
+  fi
+  echo -n "Stopping $DESC: "
+  start-stop-daemon --stop  --quiet --pidfile $PIDFILE \
+    --user $DAEMONUSER
+  # We no longer include these arguments so that start-stop-daemon
+  # can do its job even given that we may have been upgraded.
+  # We rely on the pidfile being sanely managed
+  # --exec $DAEMON -- --system $PARAMS
+  echo "$NAME."
+  rm -f $PIDFILE
+}
+
+case "$1" in
+  start)
+    start_it_up
+  ;;
+  stop)
+    shut_it_down
+  ;;
+  restart|force-reload)
+    shut_it_down
+    sleep 1
+    start_it_up
+  ;;
+  *)
+    echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
+    exit 1
+  ;;
+esac
+
+exit 0
============================================================
--- packages/dbus/dbus_0.94.bb	970ee84a09ce75fb9c6e30accf192db08b928cf5
+++ packages/dbus/dbus_0.94.bb	ac168d3e6f1c1caa87281a4f160bda60cf9f6747
@@ -6,6 +6,8 @@ DEPENDS = "expat glib-2.0 virtual/libint
 LICENSE = "GPL"
 DEPENDS = "expat glib-2.0 virtual/libintl"
 
+PR = "r1"
+
 SRC_URI = "http://dbus.freedesktop.org/releases/dbus/dbus-${PV}.tar.gz \
 	   file://cross.patch;patch=1 \
 	   file://tmpdir.patch;patch=1 \






More information about the Openembedded-commits mailing list